### Name: HestonNandiGarchFit
### Title: Heston-Nandi Garch(1,1) Modelling
### Aliases: HestonNandiGarchFit hngarchSim hngarchFit hngarchStats
###   print.hngarch summary.hngarch
### Keywords: models

### ** Examples

## Not run: 
##D ## hngarchSim -
##D    # Simulate a Heston Nandi Garch(1,1) Process:
##D    # Symmetric Model - Parameters:
##D    model = list(lambda = 4, omega = 8e-5, alpha = 6e-5, 
##D      beta = 0.7, gamma = 0, rf = 0)
##D    ts = hngarchSim(model = model, n = 500, n.start = 100)
##D    par(mfrow = c(2, 1), cex = 0.75)
##D    ts.plot(ts, col = "steelblue", main = "HN Garch Symmetric Model")
##D    grid()
##D    
##D ## hngarchFit - 
##D    # HN-GARCH log likelihood Parameter Estimation:
##D    # To speed up, we start with the simulated model ...
##D    mle = hngarchFit(model = model, x = ts, symmetric = TRUE)
##D    mle
##D    
##D ## summary.hngarch - 
##D    # HN-GARCH Diagnostic Analysis:
##D    par(mfrow = c(3, 1), cex = 0.75)
##D    summary(mle)    
##D 
##D ## hngarchStats - 
##D    # HN-GARCH Moments:
##D    hngarchStats(mle$model)     
## End(Not run)



